Skip to content

upsertIssueWorkflow

WRITE

Upsert issue workflow.

POST /api/v1/quality/upsertIssueWorkflow
curl -X POST '<your-host>/api/v1/quality/upsertIssueWorkflow' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "content": "string",
    "priority": "Low",
    "source": "Internal",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
"Low""Medium""High""Critical"
"Internal""External"
"MRB"

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "content": {
      "type": "string",
      "minLength": 1
    },
    "priority": {
      "type": "string",
      "enum": [
        "Low",
        "Medium",
        "High",
        "Critical"
      ]
    },
    "source": {
      "type": "string",
      "enum": [
        "Internal",
        "External"
      ]
    },
    "requiredActionIds": {
      "type": "string"
    },
    "approvalRequirements": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "MRB"
        ]
      }
    },
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "content",
    "priority",
    "source",
    "_operation"
  ]
}